VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Swimmer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private frname As String, lname As String
Private sClub As String
Private sAge As Integer
Private tms As New Times
Private place As Integer

Public Sub init(dataline As String)
  Dim tok As New Tokenizer

  tok.init dataline               'Zainicjuj
  place = Val(tok.nextToken)      'Pobierz numer toru
  frname = tok.nextToken          'Pobierz imię
  lname = tok.nextToken           'Pobierz nazwisko
  sAge = Val(tok.nextToken)       'Pobierz wiek
  sClub = tok.nextToken           'Pobierz nazwę klubu
  tms.setText tok.nextToken       'Pobierz wynik
End Sub

Property Get time() As String
  time = tms.getFormatted
End Property

Property Let time(tx As String)
  tms.setText tx
End Property

Property Get Name() As String
  'Zwróc imię i nazwisko jako jeden łańcuch
  Name = frname & " " & lname
End Property

Property Get age() As Integer
  age = sAge                      'Zwróć wiek
End Property

Property Let age(ag As Integer)
  sAge = ag                       'Przechowaj wiek
End Property

Property Get Club() As String
  Club = sClub
End Property
